"use strict";
var IOSLogFilter = (function () {
    function IOSLogFilter($loggingLevels) {
        this.$loggingLevels = $loggingLevels;
    }
    IOSLogFilter.prototype.filterData = function (data, logLevel, pid) {
        if (pid && data && data.indexOf("[" + pid + "]") === -1) {
            return null;
        }
        if (data) {
            if (data.indexOf("SecTaskCopyDebugDescription") !== -1 ||
                data.indexOf("NativeScript loaded bundle") !== -1 ||
                (data.indexOf("assertion failed:") !== -1 && data.indexOf("libxpc.dylib") !== -1)) {
                return null;
            }
            if (pid) {
                var searchString = "[" + pid + "]: ";
                var pidIndex = data.indexOf(searchString);
                if (pidIndex > 0) {
                    data = data.substring(pidIndex + searchString.length, data.length);
                }
            }
            return data.trim();
        }
        return data;
    };
    return IOSLogFilter;
}());
exports.IOSLogFilter = IOSLogFilter;
$injector.register("iOSLogFilter", IOSLogFilter);
